# LED Expansion Module is connected to Header 12 of IO Expansion Module
# Push Button Expansion Module is connected to Header 7 of IO Expansion Module
# On Board LED on Saturn Expansion Connector is OFF 
# Saturn expansion module is connected to right side of Narvi board(Header P5)
# HOW TO CHECK PIN CONNECTION
        # LED Expansion Module --> Saturn Expansion Module --> Narvi(Header P5)
        # Push Button Expansion Module --> Saturn Expansion Module --> Narvi(Header P5)

set_property CFGBVS VCCO [current_design];
set_property CONFIG_VOLTAGE 3.3 [current_design];

######################################################################################
#                                   Clock Signal                                     #
######################################################################################
set_property -dict { PACKAGE_PIN "D14"    IOSTANDARD LVCMOS33 } [get_ports {Clk}];

######################################################################################
#                                   LEDs                                             #
######################################################################################
set_property -dict { PACKAGE_PIN "E14"    IOSTANDARD LVCMOS33 } [get_ports { LED[0] }];
set_property -dict { PACKAGE_PIN "E15"    IOSTANDARD LVCMOS33 } [get_ports { LED[1] }];
set_property -dict { PACKAGE_PIN "J13"    IOSTANDARD LVCMOS33 } [get_ports { LED[2] }];
set_property -dict { PACKAGE_PIN "J14"    IOSTANDARD LVCMOS33 } [get_ports { LED[3] }];
set_property -dict { PACKAGE_PIN "H16"    IOSTANDARD LVCMOS33 } [get_ports { LED[4] }];
set_property -dict { PACKAGE_PIN "H17"    IOSTANDARD LVCMOS33 } [get_ports { LED[5] }];
set_property -dict { PACKAGE_PIN "K14"    IOSTANDARD LVCMOS33 } [get_ports { LED[6] }];
set_property -dict { PACKAGE_PIN "J15"    IOSTANDARD LVCMOS33 } [get_ports { LED[7] }];

######################################################################################
#                                   PushButton Switches                              #
######################################################################################
set_property -dict { PACKAGE_PIN "K16"    PULLUP TRUE   IOSTANDARD LVCMOS33 } [get_ports { Switch[0] }];
set_property -dict { PACKAGE_PIN "J16"    PULLUP TRUE   IOSTANDARD LVCMOS33 } [get_ports { Switch[1] }];
set_property -dict { PACKAGE_PIN "C10"    PULLUP TRUE   IOSTANDARD LVCMOS33 } [get_ports { Switch[2] }];
set_property -dict { PACKAGE_PIN "C9"     PULLUP TRUE   IOSTANDARD LVCMOS33 } [get_ports { Switch[3] }];
set_property -dict { PACKAGE_PIN "T12"    PULLUP TRUE   IOSTANDARD LVCMOS33 } [get_ports { Switch[4] }];
set_property -dict { PACKAGE_PIN "T13"    PULLUP TRUE   IOSTANDARD LVCMOS33 } [get_ports { Switch[5] }];
set_property -dict { PACKAGE_PIN "F13"    PULLUP TRUE   IOSTANDARD LVCMOS33 } [get_ports { Switch[6] }];
set_property -dict { PACKAGE_PIN "E13"    PULLUP TRUE   IOSTANDARD LVCMOS33 } [get_ports { Switch[7] }];